Booklinker.API

<back to all web services

PostPendingLinkRequest

Requires Authentication
The following routes are available for this service:
POST/v1/links/pending
PostPendingLinkRequest Parameters:
NameParameterData TypeRequiredDescription
TokenbodystringYes
PostPendingLinkResponse Parameters:
NameParameterData TypeRequiredDescription
UrlformstringNo
ProductMetadataformProductMetadataNo
DomainformstringNo
CodeformstringNo
BaseDomainformstringNo
BaseCodeformstringNo
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/links/pending HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	token: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	url: String,
	productMetadata: 
	{
		title: String,
		author: String,
		description: String,
		retailer: String
	},
	domain: String,
	code: String,
	baseDomain: String,
	baseCode: String,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}